%define anolis_release 1
# Place rpm-macros into proper location.
%global macrosdir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; /bin/echo $d)


Name:           fdupes
Epoch:          1
Version:        2.2.1
Release:        %{anolis_release}%{?dist}
Summary:        Finds duplicate files in a given set of directories

License:        MIT
URL:            https://github.com/adrianlopezroche/%{name}
Source0:        https://github.com/adrianlopezroche/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        macros.%{name}

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  ncurses-devel
BuildRequires:  pcre2-devel

%description
FDUPES is a program for identifying duplicate files residing within specified
directories.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}


%prep
%autosetup -p1

# From README.
%{__cat} << EOF > LICENSE
FDUPES Copyright (c) 1999-2022 Adrian Lopez

Permission is hereby granted, free of charge, to any person
obtaining a copy of this software and associated documentation files
(the "Software"), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge,
publish, distribute, sublicense, and/or sell copies of the Software,
and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
EOF

autoreconf -fiv


%build
%configure
%make_build


%install
%make_install
install -Dpm 0644 %{SOURCE1} %{buildroot}%{macrosdir}/macros.%{name}
%generate_compatibility_deps

%check
./%{name} testdir
./%{name} --omitfirst testdir
./%{name} --recurse testdir
./%{name} --size testdir


%files
%license CONTRIBUTORS LICENSE
%{_mandir}/man1/%{name}.1*
%{_mandir}/man7/%{name}*.7*
%{_bindir}/%{name}
%{macrosdir}/macros.fdupes
%dir %{abidir}
%{abidir}/*-option.list

%files doc
%doc CHANGES README


%changelog
* Tue Apr 04 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:2.2.1-1
- init from upstream
